#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x760c3ba6, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0x5ca1439a, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0xf1065432, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0x3f311c79, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed7dbfa3, "drm_mode_probed_add" },
	{ 0xefc9416a, "drm_set_preferred_mode" },
	{ 0x25e5eeb7, "pwm_put" },
	{ 0x9ec13fab, "regulator_disable" },
	{ 0x2f45f437, "pwm_apply_might_sleep" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x722b0a9d, "drm_crtc_helper_atomic_check" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x037a0cba, "kfree" },
	{ 0x3e05240f, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x59b73616, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xa74e2b06, "drm_dev_enter" },
	{ 0xfb578fc5, "memset" },
	{ 0xba4ce414, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x3fc43b93, "drm_atomic_helper_check_plane_state" },
	{ 0x85825fc6, "__drm_gem_destroy_shadow_plane_state" },
	{ 0xfbe11670, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x93357ed8, "drm_dev_unplug" },
	{ 0x3306603b, "drm_atomic_helper_shutdown" },
	{ 0x84247d5d, "drm_format_conv_state_reserve" },
	{ 0x70d10a79, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0xb8976df5, "drm_gem_fb_begin_cpu_access" },
	{ 0x3474c030, "drm_fb_xrgb8888_to_rgb332" },
	{ 0x32a4c10b, "drm_gem_fb_end_cpu_access" },
	{ 0x7665ed8e, "drm_fb_xrgb8888_to_gray8" },
	{ 0x5b5947ca, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40d487ac, "drm_fb_xrgb8888_to_mono" },
	{ 0x174d5056, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9d5ef05f, "regulator_enable" },
	{ 0xebc9ce8b, "pwm_get" },
	{ 0xf9f9d086, "__dynamic_dev_dbg" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x73e63a0d, "kmalloc_caches" },
	{ 0xc44c863a, "__kmalloc_cache_noprof" },
	{ 0xb7085e1f, "__drm_atomic_helper_crtc_reset" },
	{ 0xfd5eaffc, "__drm_gem_reset_shadow_plane" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x6e6e1216, "_dev_warn" },
	{ 0xf343b7b2, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x76b9f148, "drm_gem_shmem_dumb_create" },
	{ 0xc9f4f072, "drm_fbdev_shmem_driver_fbdev_probe" },
	{ 0xc0548f99, "noop_llseek" },
	{ 0x92c1ddaa, "drm_read" },
	{ 0x62f2faad, "drm_poll" },
	{ 0x6126657e, "drm_ioctl" },
	{ 0x9a96596f, "drm_compat_ioctl" },
	{ 0xc886b004, "drm_gem_mmap" },
	{ 0x8a5e625b, "drm_open" },
	{ 0x80c5100a, "drm_release" },
	{ 0x5b0a08e5, "drm_gem_fb_create_with_dirty" },
	{ 0xc50e4f3d, "drm_atomic_helper_check" },
	{ 0xda7b9660, "drm_atomic_helper_commit" },
	{ 0x79c555bd, "drm_atomic_helper_connector_reset" },
	{ 0x32bc27f8, "drm_helper_probe_single_connector_modes" },
	{ 0x058a7ca7, "drm_connector_cleanup" },
	{ 0xf1b8050f, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x93bfaf75, "drm_atomic_helper_connector_destroy_state" },
	{ 0x20244763, "drm_encoder_cleanup" },
	{ 0x76b244b6, "drm_crtc_cleanup" },
	{ 0x4a66b05d, "drm_atomic_helper_set_config" },
	{ 0x5a89c5ea, "drm_atomic_helper_page_flip" },
	{ 0x276bc5d4, "drm_atomic_helper_update_plane" },
	{ 0x0f3b3329, "drm_atomic_helper_disable_plane" },
	{ 0x4eba54d8, "drm_plane_cleanup" },
	{ 0xf50b5a46, "drm_gem_begin_shadow_fb_access" },
	{ 0x159c50d4, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9b9cce6c, "regmap_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd6566d34, "__devm_drm_dev_alloc" },
	{ 0xd786246c, "device_get_match_data" },
	{ 0x2e09d136, "device_property_read_u32_array" },
	{ 0xe5af9cde, "device_property_read_u8_array" },
	{ 0x16e19af8, "device_property_read_bool" },
	{ 0xe1bc8a8d, "devm_gpiod_get_optional" },
	{ 0x3a8b8f20, "devm_regulator_get" },
	{ 0xa5f6a189, "devm_backlight_device_register" },
	{ 0xfcfbf61c, "drmm_mode_config_init" },
	{ 0xe164e1ee, "drm_universal_plane_init" },
	{ 0x4744a5df, "drm_plane_enable_fb_damage_clips" },
	{ 0xc3a647f2, "drm_crtc_init_with_planes" },
	{ 0x7ff75029, "drm_encoder_init" },
	{ 0x5fcd9bbb, "drm_connector_init" },
	{ 0x8a612bbd, "drm_connector_attach_encoder" },
	{ 0xf3dcf6ff, "drm_mode_config_reset" },
	{ 0x8bc4cb44, "drm_dev_register" },
	{ 0x58848ded, "drm_client_setup" },
	{ 0x246c805e, "dev_err_probe" },
	{ 0x797bdaec, "_dev_err" },
	{ 0xd7d6a8ba, "drm_mode_duplicate" },
	{ 0xdbe2765e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "824672D4A9A102682610C1B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
