#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(thc_dev_init, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_tic_pio_read, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_tic_pio_write, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_tic_pio_write_and_read, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_interrupt_config, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_int_trigger_type_select, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_interrupt_enable, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_interrupt_quiesce, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_set_pio_interrupt_support, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_ltr_config, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_change_ltr_mode, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_ltr_unconfig, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_int_cause_read, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_interrupt_handler, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_port_select, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_spi_read_config, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_spi_write_config, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_spi_input_output_address_config, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_i2c_subip_init, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_i2c_subip_regs_save, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_i2c_subip_regs_restore, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_dma_set_max_packet_sizes, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_dma_allocate, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_dma_release, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_dma_configure, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_dma_unconfigure, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_rxdma_read, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_swdma_read, "_gpl", "INTEL_THC");
KSYMTAB_FUNC(thc_dma_write, "_gpl", "INTEL_THC");

SYMBOL_CRC(thc_dev_init, 0x6449eb66, "_gpl");
SYMBOL_CRC(thc_tic_pio_read, 0x6d4d53a4, "_gpl");
SYMBOL_CRC(thc_tic_pio_write, 0xf305a0b5, "_gpl");
SYMBOL_CRC(thc_tic_pio_write_and_read, 0xa8ceb86a, "_gpl");
SYMBOL_CRC(thc_interrupt_config, 0x96c6796a, "_gpl");
SYMBOL_CRC(thc_int_trigger_type_select, 0x7c202040, "_gpl");
SYMBOL_CRC(thc_interrupt_enable, 0x6fe686b3, "_gpl");
SYMBOL_CRC(thc_interrupt_quiesce, 0x9d4b2d10, "_gpl");
SYMBOL_CRC(thc_set_pio_interrupt_support, 0x9f8c7598, "_gpl");
SYMBOL_CRC(thc_ltr_config, 0xcc98df3c, "_gpl");
SYMBOL_CRC(thc_change_ltr_mode, 0x6d42d7dd, "_gpl");
SYMBOL_CRC(thc_ltr_unconfig, 0x097d149d, "_gpl");
SYMBOL_CRC(thc_int_cause_read, 0x8be36900, "_gpl");
SYMBOL_CRC(thc_interrupt_handler, 0x7cc3fa9b, "_gpl");
SYMBOL_CRC(thc_port_select, 0xd4837cff, "_gpl");
SYMBOL_CRC(thc_spi_read_config, 0xa3b82ba0, "_gpl");
SYMBOL_CRC(thc_spi_write_config, 0x4cc4a370, "_gpl");
SYMBOL_CRC(thc_spi_input_output_address_config, 0x2b4c1776, "_gpl");
SYMBOL_CRC(thc_i2c_subip_init, 0xe59cf46e, "_gpl");
SYMBOL_CRC(thc_i2c_subip_regs_save, 0x89de49b0, "_gpl");
SYMBOL_CRC(thc_i2c_subip_regs_restore, 0x3a8e5a9a, "_gpl");
SYMBOL_CRC(thc_dma_set_max_packet_sizes, 0xb23fd2b6, "_gpl");
SYMBOL_CRC(thc_dma_allocate, 0x7cb9c145, "_gpl");
SYMBOL_CRC(thc_dma_release, 0x78dae1dc, "_gpl");
SYMBOL_CRC(thc_dma_configure, 0x314a41a3, "_gpl");
SYMBOL_CRC(thc_dma_unconfigure, 0x8b89f21a, "_gpl");
SYMBOL_CRC(thc_rxdma_read, 0x31c36bd0, "_gpl");
SYMBOL_CRC(thc_swdma_read, 0x8695876b, "_gpl");
SYMBOL_CRC(thc_dma_write, 0x986858e9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd3a27874, "__wake_up" },
	{ 0xf9f9d086, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x797bdaec, "_dev_err" },
	{ 0xad9a1084, "dma_alloc_attrs" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0xfb578fc5, "memset" },
	{ 0x6e6e1216, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x0dff9bd4, "dma_free_attrs" },
	{ 0x0ddcf870, "regmap_read" },
	{ 0xba4ce414, "regmap_bulk_write" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd247573e, "regmap_bulk_read" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xf7cd9981, "regmap_update_bits_base" },
	{ 0x37392ceb, "dma_unmap_sg_attrs" },
	{ 0x016f123e, "sg_copy_to_buffer" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xec9ae1fe, "dma_map_sg_attrs" },
	{ 0x38db3efd, "__devm_regmap_init" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x9b9cce6c, "regmap_write" },
	{ 0xdcc02749, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xdbe2765e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F0BE64F3C33804FE9BE8DEF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
