#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipu_bridge_parse_ssdb, "_gpl", "INTEL_IPU_BRIDGE");
KSYMTAB_FUNC(ipu_bridge_instantiate_vcm, "_gpl", "INTEL_IPU_BRIDGE");
KSYMTAB_FUNC(ipu_bridge_init, "_gpl", "INTEL_IPU_BRIDGE");

SYMBOL_CRC(ipu_bridge_parse_ssdb, 0xbb386418, "_gpl");
SYMBOL_CRC(ipu_bridge_instantiate_vcm, 0xc4e85510, "_gpl");
SYMBOL_CRC(ipu_bridge_init, 0xb89fa8f5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0e1fbf8c, "is_acpi_device_node" },
	{ 0xf7d0ac8c, "__pm_runtime_resume" },
	{ 0x56490f6d, "i2c_acpi_new_device_by_fwnode" },
	{ 0x665bb8e7, "device_link_add" },
	{ 0x276be687, "_dev_info" },
	{ 0x36ffb6a3, "__pm_runtime_idle" },
	{ 0x65cdb128, "put_device" },
	{ 0x037a0cba, "kfree" },
	{ 0x797bdaec, "_dev_err" },
	{ 0x91981435, "acpi_dev_get_first_match_dev" },
	{ 0x3258a98e, "acpi_dev_get_next_consumer_dev" },
	{ 0x3adfd512, "acpi_dev_get_next_match_dev" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8c8d5173, "platform_bus_type" },
	{ 0xfe4a74ea, "bus_find_device" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5a65268a, "device_match_name" },
	{ 0xc6ee3133, "device_find_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8fc12788, "software_node_unregister_node_group" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x69acdf38, "memcpy" },
	{ 0x795a5437, "acpi_get_physical_device_location" },
	{ 0x6e6e1216, "_dev_warn" },
	{ 0x0aef1aab, "__dev_fwnode" },
	{ 0xe0f300b0, "fwnode_find_reference" },
	{ 0x0a89e1f6, "i2c_find_device_by_fwnode" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x73e63a0d, "kmalloc_caches" },
	{ 0xc44c863a, "__kmalloc_cache_noprof" },
	{ 0xe667ab8f, "get_device" },
	{ 0xceab0311, "strchrnul" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xda4707b8, "fwnode_graph_get_next_endpoint" },
	{ 0xb48f0638, "software_node_register" },
	{ 0x5e982844, "acpi_device_hid" },
	{ 0x7a9e4c23, "software_node_register_node_group" },
	{ 0x4186186c, "software_node_fwnode" },
	{ 0xe3a01170, "set_secondary_fwnode" },
	{ 0x0cbe3ee2, "software_node_unregister" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdbe2765e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C0593DAE63E15E18F5FC824");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
