#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(v4l2_fwnode_endpoint_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_alloc_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_parse_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_put_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_add_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_device_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev_sensor, "_gpl", "");

SYMBOL_CRC(v4l2_fwnode_endpoint_parse, 0xc1711b0d, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_free, 0xb2952cbd, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_alloc_parse, 0x2770bae8, "_gpl");
SYMBOL_CRC(v4l2_fwnode_parse_link, 0x6ea58c4e, "_gpl");
SYMBOL_CRC(v4l2_fwnode_put_link, 0xa0babd84, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_free, 0x612ddce5, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_parse, 0x9963d58e, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_add_link, 0x031bda48, "_gpl");
SYMBOL_CRC(v4l2_fwnode_device_parse, 0x919c4517, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev_sensor, 0x462a05cb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x11c135e2, "fwnode_property_read_u32_array" },
	{ 0x3bd8497d, "fwnode_property_present" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b885d6d, "fwnode_graph_parse_endpoint" },
	{ 0x037a0cba, "kfree" },
	{ 0x6c94c8a8, "fwnode_property_read_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x0aef1aab, "__dev_fwnode" },
	{ 0xf9f9d086, "__dynamic_dev_dbg" },
	{ 0x6e6e1216, "_dev_warn" },
	{ 0xa0cd6daa, "fwnode_property_get_reference_args" },
	{ 0x7282221b, "fwnode_get_next_child_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd38fd487, "fwnode_property_read_u64_array" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x73e63a0d, "kmalloc_caches" },
	{ 0xc44c863a, "__kmalloc_cache_noprof" },
	{ 0xef52f337, "v4l2_async_subdev_nf_init" },
	{ 0x5c7bd4d6, "v4l2_subdev_get_privacy_led" },
	{ 0x0e1fbf8c, "is_acpi_device_node" },
	{ 0x505b219b, "__v4l2_async_nf_add_fwnode" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd7e539b8, "v4l2_subdev_put_privacy_led" },
	{ 0x33f5fd77, "v4l2_async_nf_cleanup" },
	{ 0xf5de23f7, "is_acpi_data_node" },
	{ 0x1a9b3dae, "v4l2_async_nf_register" },
	{ 0x15a9de68, "__v4l2_async_register_subdev" },
	{ 0x00411afe, "v4l2_async_nf_unregister" },
	{ 0x4100cbb4, "fwnode_graph_get_port_parent" },
	{ 0xb2904d98, "fwnode_get_name" },
	{ 0x025f6bf7, "fwnode_graph_get_remote_port_parent" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xff9e9d1a, "fwnode_graph_get_remote_endpoint" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdbe2765e, "module_layout" },
};

MODULE_INFO(depends, "v4l2-async,videodev");


MODULE_INFO(srcversion, "C24F7B8EF619B9F522BFBDE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
