#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x037a0cba, "kfree" },
	{ 0x5b2a1b06, "__dynamic_netdev_dbg" },
	{ 0x552fce4d, "call_switchdev_notifiers" },
	{ 0x24f79919, "skb_queue_tail" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9b6e2eb9, "spi_get_device_id" },
	{ 0xdcc02749, "devm_kmalloc" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x16e19af8, "device_property_read_bool" },
	{ 0xe1bc8a8d, "devm_gpiod_get_optional" },
	{ 0x4e533040, "spi_bus_lock" },
	{ 0xd5bc94a0, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd4cc4dd4, "spi_bus_unlock" },
	{ 0x03d2e7f7, "devm_mdiobus_alloc_size" },
	{ 0x97676357, "__devm_mdiobus_register" },
	{ 0x5c06c56b, "devm_alloc_etherdev_mqs" },
	{ 0x08bf787d, "device_get_ethdev_address" },
	{ 0xd9cca1cb, "netif_carrier_off" },
	{ 0xcd488d13, "get_phy_device" },
	{ 0xba110cf4, "phy_connect" },
	{ 0xeaad016e, "__devm_add_action" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x965859e7, "devm_request_threaded_irq" },
	{ 0x8fe02b63, "devm_register_netdev" },
	{ 0x15b173ec, "netdev_err" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x73e63a0d, "kmalloc_caches" },
	{ 0xc44c863a, "__kmalloc_cache_noprof" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xaae80c71, "netif_tx_wake_queue" },
	{ 0x6e6e1216, "_dev_warn" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xbe70cf15, "phy_stop" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x85fdd18a, "dev_addr_mod" },
	{ 0x8e2ec5cf, "eth_prepare_mac_addr_change" },
	{ 0x98e4473f, "phy_start" },
	{ 0x04f04922, "ethtool_op_get_link" },
	{ 0x2387f9db, "phy_ethtool_get_link_ksettings" },
	{ 0xe044a213, "phy_ethtool_set_link_ksettings" },
	{ 0x57465b0f, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x63fa7683, "phy_disconnect" },
	{ 0x000c192a, "phy_print_status" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x23424ff2, "phy_do_ioctl" },
	{ 0xda723ba0, "switchdev_handle_port_attr_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x0c66e3c7, "__spi_register_driver" },
	{ 0x858e37d9, "driver_unregister" },
	{ 0xc14167ab, "spi_sync" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9c5d5b94, "crc8" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x797bdaec, "_dev_err" },
	{ 0x89c8fd14, "__netdev_alloc_skb" },
	{ 0xfb234ac8, "skb_put" },
	{ 0xa4cd88b8, "skb_pull" },
	{ 0xfaf2d9d3, "eth_type_trans" },
	{ 0x1d18f0ef, "netif_rx" },
	{ 0x9299a3e5, "sk_skb_reason_drop" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4492c09e, "consume_skb" },
	{ 0xb4e4ff88, "skb_dequeue" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xdbe2765e, "module_layout" },
};

MODULE_INFO(depends, "mdio_devres,libphy,crc8");

MODULE_ALIAS("spi:adin1110");
MODULE_ALIAS("spi:adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin1110");
MODULE_ALIAS("of:N*T*Cadi,adin1110C*");
MODULE_ALIAS("of:N*T*Cadi,adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin2111C*");

MODULE_INFO(srcversion, "458E69A5B1D3479444DCC45");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
