#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pdsc_get_pf_struct, "_gpl", "");
KSYMTAB_FUNC(pds_client_register, "_gpl", "");
KSYMTAB_FUNC(pds_client_unregister, "_gpl", "");
KSYMTAB_FUNC(pds_client_adminq_cmd, "_gpl", "");
KSYMTAB_FUNC(pdsc_adminq_post, "_gpl", "");
KSYMTAB_FUNC(pdsc_register_notify, "_gpl", "");
KSYMTAB_FUNC(pdsc_unregister_notify, "_gpl", "");

SYMBOL_CRC(pdsc_get_pf_struct, 0x33ada49c, "_gpl");
SYMBOL_CRC(pds_client_register, 0xde4d47fd, "_gpl");
SYMBOL_CRC(pds_client_unregister, 0x26ac3c72, "_gpl");
SYMBOL_CRC(pds_client_adminq_cmd, 0x33d038b5, "_gpl");
SYMBOL_CRC(pdsc_adminq_post, 0xeaccdb20, "_gpl");
SYMBOL_CRC(pdsc_register_notify, 0x45b87b4f, "_gpl");
SYMBOL_CRC(pdsc_unregister_notify, 0xce714617, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x28a22b39, "devl_lock" },
	{ 0x8308bde7, "pci_dev_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xcb9e5474, "debugfs_create_u16" },
	{ 0x9dfe2142, "__pci_register_driver" },
	{ 0x2b602e72, "devlink_params_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xfe8b4eb0, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x83c85cf8, "devlink_alloc_ns" },
	{ 0x4ec608ac, "pci_sriov_get_totalvfs" },
	{ 0x98d9192f, "seq_lseek" },
	{ 0x2e18b632, "pci_reset_function_locked" },
	{ 0x270244e2, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x674b4c0e, "pci_irq_vector" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xf9f9d086, "__dynamic_dev_dbg" },
	{ 0xcafd3775, "pci_unregister_driver" },
	{ 0x4e04f5a0, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcecacdb1, "devlink_flash_update_status_notify" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x6b439f7b, "priv_to_devlink" },
	{ 0x3df132f1, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4cfa209c, "debugfs_create_x64" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x65cdb128, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xe0ab2e75, "const_pcpu_hot" },
	{ 0xefe2cdfa, "debugfs_create_regset32" },
	{ 0x276be687, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa0b63df9, "devl_health_reporter_create" },
	{ 0xc267172f, "pci_iov_vf_id" },
	{ 0xe0cd8d88, "debugfs_lookup" },
	{ 0xa9ea64ff, "pci_iomap_range" },
	{ 0x1da5be48, "devlink_flash_update_timeout_notify" },
	{ 0x797bdaec, "_dev_err" },
	{ 0x064bc8ea, "init_net" },
	{ 0x8ca05652, "debugfs_create_bool" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x20348a01, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xad9a1084, "dma_alloc_attrs" },
	{ 0x8e2035fa, "debugfs_remove" },
	{ 0x28419675, "seq_putc" },
	{ 0x6573f300, "ida_free" },
	{ 0x67eec437, "devl_params_register" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf1b3ec34, "debugfs_create_ulong" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x898f91cf, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x52375ed4, "device_del" },
	{ 0x0b19b445, "ioread8" },
	{ 0x6e6e1216, "_dev_warn" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x41fc9736, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x0529d6bb, "debugfs_create_u32" },
	{ 0x99811767, "devl_params_unregister" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x393aab7d, "pci_reset_function" },
	{ 0x5b13e03d, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd2c1477, "dma_set_coherent_mask" },
	{ 0x172236df, "seq_read" },
	{ 0xdd605405, "blocking_notifier_chain_unregister" },
	{ 0x0dff9bd4, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x78b84b0e, "debugfs_create_x32" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2a18ea5e, "pci_release_regions" },
	{ 0x5b61ea2e, "pcie_print_link_status" },
	{ 0x9a954886, "pci_dev_get" },
	{ 0xfa4741cd, "seq_write" },
	{ 0xc44c863a, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfd47c370, "seq_printf" },
	{ 0x3108de7a, "devlink_priv" },
	{ 0xaa6017c3, "pci_disable_sriov" },
	{ 0x0c689134, "debugfs_create_file_full" },
	{ 0x4c61be00, "pci_disable_device" },
	{ 0xabfe13c9, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x537ce4a9, "dma_set_mask" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0x300659a1, "single_open" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x1b0d47bd, "devl_register" },
	{ 0x371abeee, "debugfs_create_dir" },
	{ 0x3fab110b, "vcalloc_noprof" },
	{ 0x4b27b8ad, "pci_free_irq_vectors" },
	{ 0x17d30f51, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0x172347e4, "pci_iov_get_pf_drvdata" },
	{ 0x73e63a0d, "kmalloc_caches" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x1918d390, "devl_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x5893ec1e, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x21916194, "auxiliary_device_init" },
	{ 0x30d757a9, "pci_iomap" },
	{ 0x8d6f58b4, "pci_alloc_irq_vectors" },
	{ 0xdbe2765e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001DD8d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DD8d0000100Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F4CEF02E65AEC824F2A3BF6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
