#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0xd128883a, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0x37eda9aa, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0xbe93f18e, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x931e3d4b, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0xbcaa327d, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0xb533deaa, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0x31886381, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0x271e9b93, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x4776649f, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0xcaa039cd, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0x733b3184, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x0192abd4, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0x1026a18a, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x3beb61dd, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0xf8364fc6, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0xc43176ee, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0xcec88d84, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x62f4bed2, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x67bf27af, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0xde4a735d, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0x119c53b0, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0x5d0a220b, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0xc694facd, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0xd4b513e1, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x27385407, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x3900e193, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0x3140a605, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0x63ee734b, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0xb528dda4, "_gpl");
SYMBOL_CRC(rt2800_config, 0xe420177e, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x712580fd, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x814a2ed6, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0xafd1a778, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0xc08e8576, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x6f82d7c7, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0xcc741b2c, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0xa42e7d83, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0x0a81f9ed, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x561d1619, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0x1151cb1d, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x6783401c, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0xacaa6bb4, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0xcfe6775e, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0x225be2b4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0xccb96ca6, "skb_push" },
	{ 0xc1b6ea70, "dev_kfree_skb_any_reason" },
	{ 0x7c0e19bb, "__skb_pad" },
	{ 0xc5389e92, "rt2x00lib_txdone_noinfo" },
	{ 0x030fd93e, "ieee80211_restart_hw" },
	{ 0xa4cd88b8, "skb_pull" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x276be687, "_dev_info" },
	{ 0x48faf3bf, "rt2x00lib_set_mac_address" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x037a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x699aac51, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x797bdaec, "_dev_err" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x72e83996, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc60ccef5, "rt2x00lib_txdone" },
	{ 0xf9f9d086, "__dynamic_dev_dbg" },
	{ 0x70d3deb9, "rt2x00queue_get_entry" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x36fb3742, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x41f8884b, "rt2x00mac_conf_tx" },
	{ 0xc7eb320c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x6e6e1216, "_dev_warn" },
	{ 0xdbe2765e, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "FB782670CE4098FB49520E9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
