#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_gadget_get_string, "_gpl", "");
KSYMTAB_FUNC(usb_validate_langid, "_gpl", "");
KSYMTAB_FUNC(usb_descriptor_fillbuf, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_config_buf, "_gpl", "");
KSYMTAB_FUNC(usb_copy_descriptors, "_gpl", "");
KSYMTAB_FUNC(usb_assign_descriptors, "_gpl", "");
KSYMTAB_FUNC(usb_free_all_descriptors, "_gpl", "");
KSYMTAB_FUNC(usb_otg_descriptor_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_otg_descriptor_init, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig_ss, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig_release, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig_reset, "_gpl", "");
KSYMTAB_FUNC(config_ep_by_speed_and_alt, "_gpl", "");
KSYMTAB_FUNC(config_ep_by_speed, "_gpl", "");
KSYMTAB_FUNC(usb_add_function, "_gpl", "");
KSYMTAB_FUNC(usb_remove_function, "_gpl", "");
KSYMTAB_FUNC(usb_function_deactivate, "_gpl", "");
KSYMTAB_FUNC(usb_function_activate, "_gpl", "");
KSYMTAB_FUNC(usb_interface_id, "_gpl", "");
KSYMTAB_FUNC(usb_func_wakeup, "_gpl", "");
KSYMTAB_FUNC(usb_add_config_only, "_gpl", "");
KSYMTAB_FUNC(usb_add_config, "_gpl", "");
KSYMTAB_FUNC(usb_string_id, "_gpl", "");
KSYMTAB_FUNC(usb_string_ids_tab, "_gpl", "");
KSYMTAB_FUNC(usb_gstrings_attach, "_gpl", "");
KSYMTAB_FUNC(usb_string_ids_n, "_gpl", "");
KSYMTAB_FUNC(usb_composite_probe, "_gpl", "");
KSYMTAB_FUNC(usb_composite_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_composite_setup_continue, "_gpl", "");
KSYMTAB_FUNC(usb_composite_overwrite_options, "_gpl", "");
KSYMTAB_FUNC(usb_get_function_instance, "_gpl", "");
KSYMTAB_FUNC(usb_get_function, "_gpl", "");
KSYMTAB_FUNC(usb_put_function_instance, "_gpl", "");
KSYMTAB_FUNC(usb_put_function, "_gpl", "");
KSYMTAB_FUNC(usb_function_register, "_gpl", "");
KSYMTAB_FUNC(usb_function_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_os_desc_prepare_interf_dir, "", "");
KSYMTAB_FUNC(unregister_gadget_item, "_gpl", "");
KSYMTAB_FUNC(alloc_ep_req, "_gpl", "");

SYMBOL_CRC(usb_gadget_get_string, 0x4beb505d, "_gpl");
SYMBOL_CRC(usb_validate_langid, 0x0c589aba, "_gpl");
SYMBOL_CRC(usb_descriptor_fillbuf, 0xd2ea2134, "_gpl");
SYMBOL_CRC(usb_gadget_config_buf, 0xf474a207, "_gpl");
SYMBOL_CRC(usb_copy_descriptors, 0x2e09263f, "_gpl");
SYMBOL_CRC(usb_assign_descriptors, 0x45366c8c, "_gpl");
SYMBOL_CRC(usb_free_all_descriptors, 0x1b234e56, "_gpl");
SYMBOL_CRC(usb_otg_descriptor_alloc, 0x6caa7cf4, "_gpl");
SYMBOL_CRC(usb_otg_descriptor_init, 0x25d7f276, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_ss, 0xb3563f9c, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig, 0x93fe506e, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_release, 0x9a0f6881, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_reset, 0x7f3ee6ba, "_gpl");
SYMBOL_CRC(config_ep_by_speed_and_alt, 0x624dbbe8, "_gpl");
SYMBOL_CRC(config_ep_by_speed, 0x8b8023f5, "_gpl");
SYMBOL_CRC(usb_add_function, 0xc254222d, "_gpl");
SYMBOL_CRC(usb_remove_function, 0xe3e5119d, "_gpl");
SYMBOL_CRC(usb_function_deactivate, 0x0dc17b42, "_gpl");
SYMBOL_CRC(usb_function_activate, 0xcfae59d3, "_gpl");
SYMBOL_CRC(usb_interface_id, 0x693ce360, "_gpl");
SYMBOL_CRC(usb_func_wakeup, 0xc804d5ef, "_gpl");
SYMBOL_CRC(usb_add_config_only, 0x77649679, "_gpl");
SYMBOL_CRC(usb_add_config, 0xf5810bfe, "_gpl");
SYMBOL_CRC(usb_string_id, 0xc0ad7fc1, "_gpl");
SYMBOL_CRC(usb_string_ids_tab, 0x2a881574, "_gpl");
SYMBOL_CRC(usb_gstrings_attach, 0x47e7fb99, "_gpl");
SYMBOL_CRC(usb_string_ids_n, 0xd1fe98f0, "_gpl");
SYMBOL_CRC(usb_composite_probe, 0x66d4314f, "_gpl");
SYMBOL_CRC(usb_composite_unregister, 0x4cc816b7, "_gpl");
SYMBOL_CRC(usb_composite_setup_continue, 0xdf33d032, "_gpl");
SYMBOL_CRC(usb_composite_overwrite_options, 0x547c7901, "_gpl");
SYMBOL_CRC(usb_get_function_instance, 0x837911a7, "_gpl");
SYMBOL_CRC(usb_get_function, 0x10fc00b5, "_gpl");
SYMBOL_CRC(usb_put_function_instance, 0x9e5b7377, "_gpl");
SYMBOL_CRC(usb_put_function, 0x748e251c, "_gpl");
SYMBOL_CRC(usb_function_register, 0xfd1d95b0, "_gpl");
SYMBOL_CRC(usb_function_unregister, 0x89e86063, "_gpl");
SYMBOL_CRC(usb_os_desc_prepare_interf_dir, 0x30333cbc, "");
SYMBOL_CRC(unregister_gadget_item, 0x45c8f904, "_gpl");
SYMBOL_CRC(alloc_ep_req, 0x640cc173, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8ca7011c, "usb_ep_alloc_request" },
	{ 0x03fa002d, "usb_gadget_unregister_driver" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x11f07db8, "config_item_init_type_name" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x5a7954a8, "config_item_put" },
	{ 0xc44c863a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xb0e215f4, "usb_gadget_register_driver_owner" },
	{ 0x7673e7f6, "usb_ep_queue" },
	{ 0x754d539c, "strlen" },
	{ 0x62f32a6c, "usb_gadget_deactivate" },
	{ 0x349cba85, "strchr" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x97adb487, "utf8s_to_utf16s" },
	{ 0x73e63a0d, "kmalloc_caches" },
	{ 0x454847e2, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe914e41e, "strcpy" },
	{ 0x94c99025, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xad692dd9, "config_group_init" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xef8c5061, "usb_gadget_check_config" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xb25b9f20, "usb_gadget_ep_match_desc" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xf9f9d086, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x970607ff, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9cbd04a9, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6362942d, "usb_gadget_set_selfpowered" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd6214486, "usb_gadget_set_remote_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcd07334f, "usb_gadget_vbus_draw" },
	{ 0x276be687, "_dev_info" },
	{ 0xa5fb065a, "config_item_set_name" },
	{ 0x9f303530, "module_put" },
	{ 0x8c8eed8e, "usb_ep_dequeue" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4621fcea, "device_create_file" },
	{ 0x797bdaec, "_dev_err" },
	{ 0xd91a02c6, "configfs_register_subsystem" },
	{ 0x0d04b9f7, "init_uts_ns" },
	{ 0xc2c68377, "config_group_init_type_name" },
	{ 0x9fd55ee4, "usb_gadget_activate" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x8ffd6e98, "usb_gadget_clear_selfpowered" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0x6e6e1216, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x09294c7e, "usb_gadget_set_state" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xdbe2765e, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "34EB67C2506D437EAC5786C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
