#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l45_probe, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_remove, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_pm_ops, "_gpl", "");
KSYMTAB_FUNC(cs35l45_apply_patch, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_i2c_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_spi_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_get_clk_freq_id, "_gpl", "SND_SOC_CS35L45");

SYMBOL_CRC(cs35l45_probe, 0x8d6347cb, "_gpl");
SYMBOL_CRC(cs35l45_remove, 0x8d16aeef, "_gpl");
SYMBOL_CRC(cs35l45_pm_ops, 0xaf388200, "_gpl");
SYMBOL_CRC(cs35l45_apply_patch, 0xf4a633a3, "_gpl");
SYMBOL_CRC(cs35l45_i2c_regmap, 0x4a0c5964, "_gpl");
SYMBOL_CRC(cs35l45_spi_regmap, 0x09349828, "_gpl");
SYMBOL_CRC(cs35l45_get_clk_freq_id, 0xb3b217a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3a8b8f20, "devm_regulator_get" },
	{ 0x7a7a08b6, "snd_soc_component_disable_pin_unlocked" },
	{ 0x276be687, "_dev_info" },
	{ 0xc3f55d01, "snd_soc_info_volsw" },
	{ 0x797bdaec, "_dev_err" },
	{ 0x7bae93a7, "wm_adsp_event" },
	{ 0x69fbfe0f, "snd_soc_dapm_put_volsw" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x1cb619af, "snd_ctl_notify" },
	{ 0xb811b9c6, "wm_adsp_fw_enum" },
	{ 0x6e6e1216, "_dev_warn" },
	{ 0xde864923, "wm_adsp2_component_probe" },
	{ 0x2ab69f27, "wm_adsp2_preloader_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x36fd1e21, "wm_adsp2_preloader_get" },
	{ 0x54d8dae1, "snd_soc_info_enum_double" },
	{ 0xe074014a, "wm_adsp2_component_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbb56b538, "devm_regmap_add_irq_chip" },
	{ 0xc02246ac, "snd_soc_get_volsw" },
	{ 0x0ddcf870, "regmap_read" },
	{ 0x1db7d436, "snd_soc_put_volsw" },
	{ 0xfa70bc06, "wm_adsp_fw_get" },
	{ 0xf7d0ac8c, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x97c4a834, "snd_soc_component_enable_pin_unlocked" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd247573e, "regmap_bulk_read" },
	{ 0xf7cd9981, "regmap_update_bits_base" },
	{ 0x9ec13fab, "regulator_disable" },
	{ 0x246c805e, "dev_err_probe" },
	{ 0xbba108f9, "regmap_multi_reg_write" },
	{ 0x4c520dc7, "snd_soc_dapm_get_volsw" },
	{ 0x20ea6adc, "__pm_runtime_suspend" },
	{ 0x9d107740, "regmap_register_patch" },
	{ 0xa6526496, "snd_soc_dapm_get_enum_double" },
	{ 0x3c08115a, "__pm_runtime_use_autosuspend" },
	{ 0x2089fa4f, "wm_halo_init" },
	{ 0x292dd62c, "wm_adsp_early_event" },
	{ 0x104af495, "__pm_runtime_disable" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x5a980046, "snd_soc_dapm_put_enum_double" },
	{ 0xe63b3d00, "wm_adsp_fw_put" },
	{ 0x9d5ef05f, "regulator_enable" },
	{ 0x26f824e3, "regcache_cache_only" },
	{ 0x42eb771a, "regcache_sync" },
	{ 0x9b9cce6c, "regmap_write" },
	{ 0x965859e7, "devm_request_threaded_irq" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xdaecfd7d, "snd_soc_component_get_kcontrol" },
	{ 0x6e1da84c, "pm_runtime_set_autosuspend_delay" },
	{ 0x174d5056, "gpiod_set_value_cansleep" },
	{ 0x1d9e9bf0, "wm_adsp2_remove" },
	{ 0x498b8b78, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x77d47ad7, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe1bc8a8d, "devm_gpiod_get_optional" },
	{ 0xf9f9d086, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xecd1e961, "__pm_runtime_set_status" },
	{ 0x493a91ed, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x80ad1178, "pm_runtime_enable" },
	{ 0x2e09d136, "device_property_read_u32_array" },
	{ 0xdbe2765e, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-wm-adsp,snd,snd-pcm");


MODULE_INFO(srcversion, "53BE2582FD8BF031369F854");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
