#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_codec_jack_wake_enable, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_jack_check, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_probe_bus, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_for_state_change, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_detect_mask, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_init_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_resume_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_stop_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_suspend_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_rirb_status_clear, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_set_codec_wakeup, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_rirb_status, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_device_remove, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_i915_display_power, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_init, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_exit, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");

SYMBOL_CRC(hda_codec_jack_wake_enable, 0x08d60f32, "_gpl");
SYMBOL_CRC(hda_codec_jack_check, 0x6725d72f, "_gpl");
SYMBOL_CRC(hda_codec_probe_bus, 0x8076c55e, "_gpl");
SYMBOL_CRC(hda_codec_check_for_state_change, 0x5504e0fe, "_gpl");
SYMBOL_CRC(hda_codec_detect_mask, 0x50bf8fff, "_gpl");
SYMBOL_CRC(hda_codec_init_cmd_io, 0xaa63c830, "_gpl");
SYMBOL_CRC(hda_codec_resume_cmd_io, 0xda230fae, "_gpl");
SYMBOL_CRC(hda_codec_stop_cmd_io, 0x5a412cbe, "_gpl");
SYMBOL_CRC(hda_codec_suspend_cmd_io, 0x77e58401, "_gpl");
SYMBOL_CRC(hda_codec_rirb_status_clear, 0xa096650e, "_gpl");
SYMBOL_CRC(hda_codec_set_codec_wakeup, 0xa19f5052, "_gpl");
SYMBOL_CRC(hda_codec_check_rirb_status, 0x408a7a8c, "_gpl");
SYMBOL_CRC(hda_codec_device_remove, 0x7824d4a7, "_gpl");
SYMBOL_CRC(hda_codec_i915_display_power, 0x2d81b47f, "_gpl");
SYMBOL_CRC(hda_codec_i915_init, 0x8a1e31a2, "_gpl");
SYMBOL_CRC(hda_codec_i915_exit, 0x011485d5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdcc02749, "devm_kmalloc" },
	{ 0xee870612, "snd_hdac_bus_send_cmd" },
	{ 0xd8e5e0c0, "snd_hdac_bus_get_response" },
	{ 0xe836c978, "snd_hdac_bus_update_rirb" },
	{ 0x4f2f9da1, "snd_hdac_codec_modalias" },
	{ 0xf9f9d086, "__dynamic_dev_dbg" },
	{ 0x04ee0c75, "snd_hdac_ext_bus_device_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65cdb128, "put_device" },
	{ 0x315f325b, "snd_hdac_device_register" },
	{ 0xe12ed95c, "snd_hdac_i915_init" },
	{ 0x797bdaec, "_dev_err" },
	{ 0xd05fa4f9, "snd_hdac_device_unregister" },
	{ 0x3fe66803, "device_attach" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xdcc2893e, "snd_hdac_bus_stop_cmd_io" },
	{ 0x6e6e1216, "_dev_warn" },
	{ 0x67f5a57a, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x658f8793, "snd_hdac_bus_init_cmd_io" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x217c9fba, "snd_hdac_acomp_exit" },
	{ 0xf7d0ac8c, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x44169531, "snd_hda_codec_device_init" },
	{ 0xa1fa0266, "snd_hdac_set_codec_wakeup" },
	{ 0x50af4e01, "param_ops_int" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdbe2765e, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd-sof,snd-hda-codec");


MODULE_INFO(srcversion, "D76F1EEA305FFE2FFB14A93");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
