#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0x61626aec, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0xfdcbda76, "_gpl");
SYMBOL_CRC(ahci_ops, 0x4ce95a30, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x7ce50ebd, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x1e37e647, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0xd68db9ff, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x5c057846, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x5a2865f4, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0xffb9c9c1, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0xca826026, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0xfe1a0df4, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x83f54dd4, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0xdcb3d47d, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x79cb98d5, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0xdf9c00b2, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0xba440c45, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0xdc9c60ac, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x354ebf5e, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0xbee1a9ee, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x8330275a, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x25e4411b, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x6808c29d, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x90ae2b20, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x37324d00, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x758ff523, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x13c378c0, "ata_std_qc_defer" },
	{ 0x1a421c0e, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6e6e1216, "_dev_warn" },
	{ 0xf9f9d086, "__dynamic_dev_dbg" },
	{ 0xadd22df1, "ata_port_classify" },
	{ 0x1dcfb2c3, "ata_qc_complete_multiple" },
	{ 0xfc92673c, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9d2f0bc9, "sata_pmp_error_handler" },
	{ 0xb9ad07f4, "ata_host_start" },
	{ 0x965859e7, "devm_request_threaded_irq" },
	{ 0x9cd13789, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x0b191b84, "ata_host_register" },
	{ 0xff717b0c, "ata_host_activate" },
	{ 0x6f7d919b, "ata_dummy_port_ops" },
	{ 0x610d886c, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdcc02749, "devm_kmalloc" },
	{ 0x0fb8b7c3, "dmam_alloc_attrs" },
	{ 0x5b5947ca, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6e2aa418, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xbca165b6, "sata_link_hardreset" },
	{ 0xf4680cf7, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x67e1aa57, "sata_lpm_ignore_phy_events" },
	{ 0x0bfb974e, "ata_ehi_clear_desc" },
	{ 0x0c6c8824, "ata_ehi_push_desc" },
	{ 0x4375b1c1, "sata_async_notification" },
	{ 0xe5d14f8d, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa330da33, "ata_port_abort" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x50af4e01, "param_ops_int" },
	{ 0x1de84a71, "param_ops_bool" },
	{ 0x2621e493, "sata_pmp_port_ops" },
	{ 0x7dfb2afa, "dev_attr_sw_activity" },
	{ 0x45351535, "dev_attr_unload_heads" },
	{ 0x498041c2, "dev_attr_ncq_prio_supported" },
	{ 0x67b7a8eb, "dev_attr_ncq_prio_enable" },
	{ 0xf008c41a, "dev_attr_link_power_management_policy" },
	{ 0xbf946f38, "dev_attr_em_message_type" },
	{ 0x000533a2, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf7d0ac8c, "__pm_runtime_resume" },
	{ 0x36ffb6a3, "__pm_runtime_idle" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x72e93ad3, "ata_link_next" },
	{ 0x8bc607a8, "ata_wait_register" },
	{ 0x1fe24f9e, "ata_dev_set_feature" },
	{ 0x276be687, "_dev_info" },
	{ 0x79b127b9, "ata_msleep" },
	{ 0x5eaaf142, "sata_link_scr_lpm" },
	{ 0x797bdaec, "_dev_err" },
	{ 0xdbe2765e, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "73CB72699DF785765D2B657");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
