#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iio_dmaengine_buffer_free, "_gpl", "IIO_DMAENGINE_BUFFER");
KSYMTAB_FUNC(iio_dmaengine_buffer_setup_ext, "_gpl", "IIO_DMAENGINE_BUFFER");
KSYMTAB_FUNC(devm_iio_dmaengine_buffer_setup_ext, "_gpl", "IIO_DMAENGINE_BUFFER");

SYMBOL_CRC(iio_dmaengine_buffer_free, 0x540d125b, "_gpl");
SYMBOL_CRC(iio_dmaengine_buffer_setup_ext, 0xdef8ad79, "_gpl");
SYMBOL_CRC(devm_iio_dmaengine_buffer_setup_ext, 0x24aef76d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x35ed8043, "iio_dma_buffer_release" },
	{ 0x037a0cba, "kfree" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5e7c7923, "iio_dma_buffer_block_done" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x73e63a0d, "kmalloc_caches" },
	{ 0xc44c863a, "__kmalloc_cache_noprof" },
	{ 0x9e525572, "dma_request_chan" },
	{ 0x20267db6, "dma_get_slave_caps" },
	{ 0x48212f33, "iio_dma_buffer_init" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf8321da7, "iio_dma_buffer_block_list_abort" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbcc7fe2f, "iio_device_attach_buffer" },
	{ 0xeaad016e, "__devm_add_action" },
	{ 0xed72781f, "iio_dma_buffer_read" },
	{ 0x366d7642, "iio_dma_buffer_usage" },
	{ 0x0591e15a, "iio_dma_buffer_write" },
	{ 0x84dd9ad9, "iio_dma_buffer_request_update" },
	{ 0x672dac3d, "iio_dma_buffer_set_bytes_per_datum" },
	{ 0xfb055646, "iio_dma_buffer_set_length" },
	{ 0xf66efea2, "iio_dma_buffer_enable" },
	{ 0x63b76e16, "iio_dma_buffer_disable" },
	{ 0x0ad24e80, "iio_dma_buffer_attach_dmabuf" },
	{ 0x92940c8b, "iio_dma_buffer_detach_dmabuf" },
	{ 0x6b40dc88, "iio_dma_buffer_enqueue_dmabuf" },
	{ 0xfeec8c09, "iio_dma_buffer_lock_queue" },
	{ 0x5c3d1f18, "iio_dma_buffer_unlock_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x59198319, "iio_dma_buffer_exit" },
	{ 0x551e5fb9, "dma_release_channel" },
	{ 0xd4b14237, "iio_buffer_put" },
	{ 0xdbe2765e, "module_layout" },
};

MODULE_INFO(depends, "industrialio-buffer-dma,industrialio");


MODULE_INFO(srcversion, "C6E13D67A860DEF6C5635CD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
