#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0x5454d0a3, "");
SYMBOL_CRC(cx88_querycap, 0x0411c774, "");
SYMBOL_CRC(cx88_enum_input, 0xfcbc80a6, "");
SYMBOL_CRC(cx88_set_freq, 0x702d8d3e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x220e3682, "cx88_ir_stop" },
	{ 0x68a044e4, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd9193a02, "video_devdata" },
	{ 0xa43727bd, "cx88_set_tvnorm" },
	{ 0x9b716f64, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x8496f38c, "v4l2_ctrl_find" },
	{ 0x69f93fee, "cx88_ir_start" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c901c31, "__v4l2_ctrl_s_ctrl" },
	{ 0xec6018ea, "vb2_plane_cookie" },
	{ 0x96e3239d, "vb2_ioctl_dqbuf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x0f46620d, "cx88_risc_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xae22781b, "v4l2_fh_release" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xb15d1a1a, "cx88_set_stereo" },
	{ 0x95c39926, "vb2_buffer_done" },
	{ 0x8e381097, "v4l2_ctrl_subscribe_event" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6dd5913a, "video_unregister_device" },
	{ 0xb8b2b9db, "kthread_stop" },
	{ 0xe0f54b80, "i2c_new_client_device" },
	{ 0x3ad74704, "vb2_ioctl_qbuf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x76435d26, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x41fc9736, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0xb603af3a, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9a16f8f4, "vb2_fop_read" },
	{ 0x1832d42f, "cx88_sram_channel_dump" },
	{ 0x97f04510, "kthread_create_on_node" },
	{ 0xacaecc34, "cx88_sram_channel_setup" },
	{ 0x0dff9bd4, "dma_free_attrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x20d7f59b, "__video_register_device" },
	{ 0xc44c863a, "__kmalloc_cache_noprof" },
	{ 0xb353a42f, "vb2_ioctl_streamon" },
	{ 0x7ec67de5, "vb2_fop_poll" },
	{ 0x6734120c, "v4l2_ctrl_new_std" },
	{ 0x4c61be00, "pci_disable_device" },
	{ 0x537ce4a9, "dma_set_mask" },
	{ 0x38555246, "v4l2_i2c_new_subdev" },
	{ 0x82236c0f, "pci_read_config_byte" },
	{ 0x50af4e01, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x1072483a, "cx88_newstation" },
	{ 0x450dd374, "v4l2_event_unsubscribe" },
	{ 0x73e63a0d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7dbdcc61, "vb2_ioctl_reqbufs" },
	{ 0xf7c9df47, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x0b68101b, "vb2_dma_sg_memops" },
	{ 0xc3b22f66, "cx88_reset" },
	{ 0xa3b3a975, "v4l2_ctrl_poll" },
	{ 0x41643e34, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfff7ca3e, "cx88_wakeup" },
	{ 0x5893ec1e, "pci_enable_device" },
	{ 0xf2807b18, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0xfc1d5341, "v4l2_ctrl_add_handler" },
	{ 0xb7e686e0, "v4l2_i2c_new_subdev_board" },
	{ 0x1db5dad9, "cx88_set_scale" },
	{ 0x9dfe2142, "__pci_register_driver" },
	{ 0x38bc1277, "cx88_shutdown" },
	{ 0x217c37af, "cx88_vdev_init" },
	{ 0x8620be5c, "param_array_ops" },
	{ 0x037a0cba, "kfree" },
	{ 0x5562203b, "vb2_ioctl_querybuf" },
	{ 0xccad3151, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x74fa9e37, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xe6ebbc16, "cx88_core_irq" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcafd3775, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x10d27037, "wake_up_process" },
	{ 0x2a3faf63, "cx88_core_get" },
	{ 0xc4549b21, "cx88_get_stereo" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdbe2765e, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "3AE15AA80EB64ED0E15F34A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
