#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7615_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7615_ops, "_gpl", "");
KSYMTAB_FUNC(mt7615_thermal_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_wait_for_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_work, "_gpl", "");
KSYMTAB_FUNC(mt7615_reg_map, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_blink, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_brightness, "_gpl", "");
KSYMTAB_FUNC(mt7615_register_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_unregister_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_device, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_fill_msg, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7622_trigger_hif_int, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(__mt7663_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_exit, "_gpl", "");
KSYMTAB_FUNC(mt7615_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_poll, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_set_rates, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_enable_rtscts, "_gpl", "");
KSYMTAB_FUNC(mt7615_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7615_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7615_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_debugfs, "_gpl", "");

SYMBOL_CRC(mt7615_set_channel, 0x64c94ddf, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_add, 0x04f333dd, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0x8839ccde, "_gpl");
SYMBOL_CRC(mt7615_ops, 0xdf668972, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0x4cf57b8a, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0x2a226237, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0xaaaadcb2, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0xac52441b, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0xf8b88fda, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0x14255527, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0x749604a9, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0x3ccba9eb, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0x6a02e729, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0x911492e1, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0x021accbf, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0xfb2dd48e, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0x97259d3e, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0x7791b1d2, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0x484dd77c, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0x01eba5cd, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0xcc042b90, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0x95b22ddf, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0x5eff8861, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0x504268da, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0x9c594b19, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0x1b4f51e6, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0x0285ad98, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0x14f47ad2, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0x3c16e176, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0x7249f9e6, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0x6089af30, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9bb9f614, "mt76_wcid_key_setup" },
	{ 0x276be687, "_dev_info" },
	{ 0xbbd4ce2a, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0xc7eb320c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x700c96f9, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4526865b, "mt76_connac_mcu_sched_scan_req" },
	{ 0x2411b856, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0x504ec809, "mt76_connac_mcu_uni_add_bss" },
	{ 0x49160ac1, "mt76_phy_dfs_state" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xa973a0a8, "wiphy_to_ieee80211_hw" },
	{ 0xe08416ca, "debugfs_attr_read" },
	{ 0xbf114b2f, "mt76_connac_mcu_hw_scan" },
	{ 0x8e504621, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x823e091a, "ieee80211_queue_delayed_work" },
	{ 0x16d41ee9, "mt76_eeprom_init" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x1de68fe8, "perf_trace_run_bpf_submit" },
	{ 0x797bdaec, "_dev_err" },
	{ 0x0d67ba94, "simple_open" },
	{ 0xa4cd88b8, "skb_pull" },
	{ 0xaabcd1e6, "debugfs_create_file_unsafe" },
	{ 0xd39ea51c, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x84585f41, "simple_attr_release" },
	{ 0x03f6070a, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd1c21337, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x652032cb, "mac_pton" },
	{ 0xadd7c003, "ieee80211_remain_on_channel_expired" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xccb96ca6, "skb_push" },
	{ 0x28419675, "seq_putc" },
	{ 0x0f028f17, "trace_event_reg" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0xf82dea41, "ieee80211_wake_queues" },
	{ 0xe13c2987, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2dd94f47, "ieee80211_beacon_get_template" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x55b755bb, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcc203823, "dev_coredumpv" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xa96403da, "__mt76_mcu_msg_alloc" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x344f8da6, "mt76_connac_pm_dequeue_skbs" },
	{ 0x555f180a, "mt76_connac_mcu_set_pm" },
	{ 0xbe143d26, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x53be7eff, "devm_hwmon_device_register_with_groups" },
	{ 0xbed7b090, "ieee80211_emulate_add_chanctx" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xe4060a16, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x0529d6bb, "debugfs_create_u32" },
	{ 0xbe53c748, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x2305ed40, "mt76_connac_mcu_start_patch" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe4088d4d, "__SCK__tp_func_mac_txdone" },
	{ 0xcc308b82, "mt76_sta_state" },
	{ 0x98daff1a, "ieee80211_ready_on_channel" },
	{ 0xf054af8a, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9c171da5, "mt76_connac_mcu_del_wtbl_all" },
	{ 0x8af08300, "mt76_connac_mcu_init_download" },
	{ 0x16f5b612, "devm_kasprintf" },
	{ 0x172236df, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdc4dafc4, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x618010df, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0xf6b10c9e, "mt76_get_rate_power_limits" },
	{ 0x6a610b2f, "trace_event_buffer_reserve" },
	{ 0x0d1af0fa, "ieee80211_sched_scan_results" },
	{ 0xe36b3f8f, "ieee80211_scan_completed" },
	{ 0x1ccd928c, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xaa3cb772, "mt76_insert_ccmp_hdr" },
	{ 0x32726d88, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1de84a71, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3585d6f1, "mt76_sw_scan_complete" },
	{ 0xd42a1b3b, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xfa4741cd, "seq_write" },
	{ 0xaa1c8014, "mt76_connac_mcu_start_firmware" },
	{ 0x482f9002, "____mt76_poll_msec" },
	{ 0xc44c863a, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x7be85374, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xda9ae76f, "mt76_connac_mcu_rdd_cmd" },
	{ 0xfd47c370, "seq_printf" },
	{ 0xe6aba868, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbe845398, "mt76_get_sar_power" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xbcaf3c71, "mt76_unregister_phy" },
	{ 0x0c689134, "debugfs_create_file_full" },
	{ 0x15a55476, "mt76_register_phy" },
	{ 0xf3351432, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0xb7ab96e6, "mt76_put_txwi" },
	{ 0xe9531e34, "mt76_wcid_cleanup" },
	{ 0xcce967fd, "ieee80211_radar_detected" },
	{ 0xc85970cb, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xa61c6fa2, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0xabfe13c9, "single_release" },
	{ 0xd7c9258c, "mt76_sw_scan" },
	{ 0xb56dac18, "mt76_queues_read" },
	{ 0x4fd29895, "mt76_connac_mcu_set_hif_suspend" },
	{ 0xec0c034f, "mt76_sta_pre_rcu_remove" },
	{ 0x74338b1f, "mt76_register_debugfs_fops" },
	{ 0x5c1615d8, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0x2ae17ea8, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0xc76a2354, "mt76_connac_mcu_sta_ba" },
	{ 0x8d9c09be, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0x47767f43, "ieee80211_queue_work" },
	{ 0xef74d4a0, "napi_schedule_prep" },
	{ 0xc2c87ac3, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xcccd865b, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0xb10e7dc8, "__mt76_poll" },
	{ 0xcdf12a17, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x538b83b6, "debugfs_create_u8" },
	{ 0x300659a1, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xc145eeba, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x1a5b2da9, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x91a48d01, "mt76_get_min_avg_rssi" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd9d5cd14, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x73e63a0d, "kmalloc_caches" },
	{ 0x00758289, "ieee80211_csa_finish" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x19b34160, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x2fe87a44, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x6afdcd56, "mt76_update_channel" },
	{ 0x4c9ec0b8, "ieee80211_sta_register_airtime" },
	{ 0x18433722, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0x9ec2361a, "mt76_connac_mcu_sta_tlv" },
	{ 0x2418a823, "device_set_wakeup_enable" },
	{ 0x210a02bd, "mt76_tx_worker_run" },
	{ 0x2a3edfb0, "mt76_init_sar_power" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x391e369b, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9b0be6ef, "simple_attr_open" },
	{ 0xf4e7cf23, "ieee80211_iterate_interfaces" },
	{ 0x69d7950b, "debugfs_attr_write" },
	{ 0x8be8371a, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x2b422c7d, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdcc02749, "devm_kmalloc" },
	{ 0xfb234ac8, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa9a33141, "firmware_request_nowarn" },
	{ 0x4492c09e, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3570f7b7, "mt76_tx_status_skb_get" },
	{ 0xe032ffd0, "trace_raw_output_prep" },
	{ 0x6fd1ab84, "mt76_tx_status_lock" },
	{ 0xdabd7567, "__trace_trigger_soft_disabled" },
	{ 0x7111c5de, "mt76_connac_mcu_set_rts_thresh" },
	{ 0xcb9e5474, "debugfs_create_u16" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x949f7d7f, "ieee80211_free_hw" },
	{ 0x7a435e68, "mt76_connac_mcu_set_channel_domain" },
	{ 0xa4dd31cb, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xdb66f240, "mt76_release_buffered_frames" },
	{ 0x4d99ceee, "request_firmware" },
	{ 0x47d7772c, "trace_event_printf" },
	{ 0x1807c42d, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe0c90b04, "__tracepoint_mac_txdone" },
	{ 0x9e2ee949, "mt76_connac_pm_wake" },
	{ 0xbdc862df, "mt76_get_rate" },
	{ 0xaccb232e, "mt76_wake_tx_queue" },
	{ 0x7d7f9ba7, "ieee80211_tx_status_ext" },
	{ 0x1bfdb976, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2ec72ed0, "mt76_connac_mcu_chip_config" },
	{ 0x92604bf7, "mt76_get_antenna" },
	{ 0x037a0cba, "kfree" },
	{ 0xa9aa6a37, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0x0219d026, "__mt76_tx_complete_skb" },
	{ 0x07ba41dc, "pcpu_hot" },
	{ 0x98d9192f, "seq_lseek" },
	{ 0x9bc6f5d6, "mt76_set_stream_caps" },
	{ 0x3ae78fcc, "ieee80211_emulate_change_chanctx" },
	{ 0xcf638dc5, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x12d6e544, "ieee80211_get_hdrlen_from_skb" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x70f24ecb, "mt76_connac_mcu_update_arp_filter" },
	{ 0xb0444de5, "mt76_connac_mcu_set_vif_ps" },
	{ 0xf9f9d086, "__dynamic_dev_dbg" },
	{ 0xc62ffa87, "mt76_mcu_rx_event" },
	{ 0x13c0d965, "mt76_alloc_phy" },
	{ 0xb74cde63, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe2357219, "mt76_wcid_init" },
	{ 0x29fd359e, "mt76_tx_status_check" },
	{ 0x10d27037, "wake_up_process" },
	{ 0x3fb14554, "mt76_connac_free_pending_tx_skbs" },
	{ 0x1a561b90, "skb_queue_purge_reason" },
	{ 0x968351d9, "mt76_connac_power_save_sched" },
	{ 0xe4670d3c, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xe01eeb60, "cfg80211_reg_check_beaconing" },
	{ 0xec042ef4, "ieee80211_send_bar" },
	{ 0x57fec66e, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0x96140f9c, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf475e7ce, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x05505fe2, "mt76_tx" },
	{ 0xe4520ebd, "mt76_wcid_add_poll" },
	{ 0xf12e5a58, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x273dd392, "__alloc_skb" },
	{ 0x331aee69, "mt76_connac_mcu_set_mac_enable" },
	{ 0x09af842d, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0xdbe2765e, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "920BD3EE78CE45EF33571D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
