#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ljca_transfer, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_transfer_noack, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_register_event_cb, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_unregister_event_cb, "_gpl", "LJCA");

SYMBOL_CRC(ljca_transfer, 0xddd5952d, "_gpl");
SYMBOL_CRC(ljca_transfer_noack, 0xf3764293, "_gpl");
SYMBOL_CRC(ljca_register_event_cb, 0xd532a716, "_gpl");
SYMBOL_CRC(ljca_unregister_event_cb, 0xf9c4495c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x404e8a45, "usb_bulk_msg" },
	{ 0x781783ea, "usb_autopm_put_interface" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf582c23f, "usb_register_driver" },
	{ 0xb21ddc26, "usb_submit_urb" },
	{ 0x578ae3e4, "usb_kill_urb" },
	{ 0x037a0cba, "kfree" },
	{ 0x065b45cb, "complete" },
	{ 0xf9f9d086, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x797bdaec, "_dev_err" },
	{ 0x9d7fbaee, "acpi_match_device_ids" },
	{ 0x349cba85, "strchr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe2f737ae, "usb_deregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x73e63a0d, "kmalloc_caches" },
	{ 0xc44c863a, "__kmalloc_cache_noprof" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x21916194, "auxiliary_device_init" },
	{ 0x0e1fbf8c, "is_acpi_device_node" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x89fe2234, "acpi_dev_for_each_child" },
	{ 0xee61b80c, "set_primary_fwnode" },
	{ 0x20348a01, "__auxiliary_device_add" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x65cdb128, "put_device" },
	{ 0x6e6e1216, "_dev_warn" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdcc02749, "devm_kmalloc" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x8ed2e07e, "usb_get_intf" },
	{ 0x93c7edeb, "usb_find_common_endpoints" },
	{ 0xa31734e7, "usb_alloc_urb" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x52375ed4, "device_del" },
	{ 0xbc7ddfa4, "usb_free_urb" },
	{ 0xbf03a236, "usb_put_intf" },
	{ 0x6e1da84c, "pm_runtime_set_autosuspend_delay" },
	{ 0x7b7c8fa2, "usb_enable_autosuspend" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbbc24aae, "usb_autopm_get_interface" },
	{ 0xdbe2765e, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v8086p0B63d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "789F573277A06897F17664C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
