#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0x4e0ba31c, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0x59e899d2, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0xddd6b788, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0x74546b7c, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x5d03b2f7, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0x2bc95138, "_gpl");
SYMBOL_CRC(dccp_check_req, 0xfc375f1e, "_gpl");
SYMBOL_CRC(dccp_child_process, 0x7152d6da, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0x68be9552, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0xc6dd7b9b, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0xd850838b, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0xe35e508b, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0x8a10d693, "_gpl");
SYMBOL_CRC(dccp_make_response, 0x2d1c4042, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0x3326e8b7, "_gpl");
SYMBOL_CRC(dccp_connect, 0x45d36640, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0x1aa87511, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0x86296027, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0x3ac2c6cf, "_gpl");
SYMBOL_CRC(dccp_set_state, 0x36c8d519, "_gpl");
SYMBOL_CRC(dccp_done, 0x8a73ac94, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0xa9e00985, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0x39d67fa0, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0x587cf39e, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0x9f8ec327, "_gpl");
SYMBOL_CRC(dccp_poll, 0xae4e14b7, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0x96e604a6, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0xab44a01a, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0xaf1cfcb5, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0x7245a9f4, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0x84c63fb0, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0x5c3ddea5, "_gpl");
SYMBOL_CRC(dccp_close, 0x00cf3511, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0x44432ce2, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5fb20915, "inet_put_port" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x10b0b67e, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x273dd392, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe0ab2e75, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe3c3cc4f, "sk_reset_timer" },
	{ 0x24f79919, "skb_queue_tail" },
	{ 0x4c964ba5, "sk_stream_wait_close" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x1de68fe8, "perf_trace_run_bpf_submit" },
	{ 0x064bc8ea, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1e9e6181, "ip6_mtu" },
	{ 0x9299a3e5, "sk_skb_reason_drop" },
	{ 0xec681e8d, "sk_free" },
	{ 0x600063f4, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xccb96ca6, "skb_push" },
	{ 0xfd12d31c, "kmem_cache_free" },
	{ 0x40f51c5d, "proc_doulongvec_minmax" },
	{ 0x0f028f17, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x58d60358, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x74a8365b, "skb_copy_datagram_iter" },
	{ 0xeacabcdb, "tcp_stream_memory_free" },
	{ 0x9e8aa8a4, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x6836f486, "sk_wait_data" },
	{ 0xdcbae881, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa81cbafc, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6ad541b9, "inet_twsk_hashdance_schedule" },
	{ 0x1b3e0876, "__kmem_cache_create_args" },
	{ 0x14006927, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x99ae83a0, "inet_csk_listen_start" },
	{ 0x00804ebc, "sk_free_unlock_clone" },
	{ 0x91ab3744, "sock_rfree" },
	{ 0x4c67e898, "ipv4_mtu" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0xe6751c51, "skb_set_owner_w" },
	{ 0x6a610b2f, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1de84a71, "param_ops_bool" },
	{ 0x95d7928a, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc44c863a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xa5011a1b, "skb_clone" },
	{ 0x3408a3b4, "inet_sk_set_state" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xc47fd580, "dst_release" },
	{ 0xc7cff246, "sk_stream_wait_connect" },
	{ 0x87390b9c, "_copy_from_iter" },
	{ 0x5154183a, "inet_csk_destroy_sock" },
	{ 0x0a3fbde2, "sk_stop_timer" },
	{ 0x9c4672d9, "unregister_net_sysctl_table" },
	{ 0x431ab3b9, "inet_rtx_syn_ack" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x50af4e01, "param_ops_int" },
	{ 0xaed6e23c, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xcf5d8058, "inet_csk_listen_stop" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x6ec20e12, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x73e63a0d, "kmalloc_caches" },
	{ 0x73b623ca, "skb_dump" },
	{ 0x76c6ccf3, "kmem_cache_destroy" },
	{ 0x8adb4976, "inet_csk_complete_hashdance" },
	{ 0xc8aa1177, "release_sock" },
	{ 0xe22ae8ec, "inet_csk_reqsk_queue_drop" },
	{ 0xf03ef1fc, "proc_dointvec_minmax" },
	{ 0x57d62f5d, "inet_hashinfo2_init_mod" },
	{ 0x51f0d66f, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x928fe024, "inet_ehash_locks_alloc" },
	{ 0xfb234ac8, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x4492c09e, "consume_skb" },
	{ 0x04930870, "sock_wmalloc" },
	{ 0xe032ffd0, "trace_raw_output_prep" },
	{ 0xb4e4ff88, "skb_dequeue" },
	{ 0xdabd7567, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x47d7772c, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xda2a0238, "__kmalloc_node_track_caller_noprof" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x1bfdb976, "trace_event_raw_init" },
	{ 0xa9bac7b9, "proc_dointvec_ms_jiffies" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x07ba41dc, "pcpu_hot" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xcf638dc5, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb0fb8b3a, "inet_csk_clear_xmit_timers" },
	{ 0x00148653, "vsnprintf" },
	{ 0x27e22e3e, "inet_twsk_alloc" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc9e1c282, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xe4670d3c, "trace_event_buffer_commit" },
	{ 0xd0ce5d70, "register_net_sysctl_sz" },
	{ 0x3527c0f4, "inet_sock_destruct" },
	{ 0xdbe2765e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "055127683F33B3C8EADDE25");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
