#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x20c83fdd, "");
SYMBOL_CRC(wpan_phy_for_each, 0x31a7f1ef, "");
SYMBOL_CRC(wpan_phy_new, 0x628e4a4b, "");
SYMBOL_CRC(wpan_phy_register, 0x815df525, "");
SYMBOL_CRC(wpan_phy_unregister, 0xfe2405fa, "");
SYMBOL_CRC(wpan_phy_free, 0x14b1f212, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x7e7b5e85, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0xa4de6045, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x38fd0375, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xc1e0c117, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0xc60515a0, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x551d8577, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x878f30dd, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0x60697163, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x5edeb34e, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x060d80ed, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0xb4bdc3a1, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0x6b76021e, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0xd3e249ce, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0xcf04f08f, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0x30270a94, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98f103e8, "mutex_lock" },
	{ 0xccb96ca6, "skb_push" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x0f028f17, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x80706ec0, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x755f27b2, "unregister_pernet_device" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xbd5e11f4, "bpf_trace_run1" },
	{ 0x52375ed4, "device_del" },
	{ 0x3125026f, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xf82d165c, "__pskb_pull_tail" },
	{ 0x36ceb489, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x95d40978, "bpf_trace_run3" },
	{ 0xb61686d2, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb7474186, "get_net_ns_by_pid" },
	{ 0x6a610b2f, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc44c863a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5a65268a, "device_match_name" },
	{ 0xf73206fc, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc57e3a40, "genl_unregister_family" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x71815190, "genl_register_family" },
	{ 0xfbcc21ee, "__dev_change_net_namespace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe8842503, "register_pernet_device" },
	{ 0x8cc8af62, "get_net_ns_by_fd" },
	{ 0x83a6f26e, "class_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x73e63a0d, "kmalloc_caches" },
	{ 0xf39cfb6c, "class_find_device" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xcb49dfcf, "bpf_trace_run4" },
	{ 0xfb234ac8, "skb_put" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x6c53a97b, "dev_set_name" },
	{ 0xe5aabcf0, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe032ffd0, "trace_raw_output_prep" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0xdabd7567, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x47d7772c, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9c6d49c1, "device_initialize" },
	{ 0x2bbee859, "genlmsg_put" },
	{ 0x1bfdb976, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x07ba41dc, "pcpu_hot" },
	{ 0xcf638dc5, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xe667ab8f, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xdae68fa8, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5d380974, "device_rename" },
	{ 0xe4670d3c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x65cdb128, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x273dd392, "__alloc_skb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x500b6f2f, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0xd2667d07, "__dev_get_by_index" },
	{ 0x1de68fe8, "perf_trace_run_bpf_submit" },
	{ 0x064bc8ea, "init_net" },
	{ 0xa4cd88b8, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfefdd485, "device_add" },
	{ 0x9299a3e5, "sk_skb_reason_drop" },
	{ 0xf2fa5dfd, "netlink_unicast" },
	{ 0xdf648aa4, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbe2765e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FF08143A50B94DEF50541BE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
