#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_pcm_format_name, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_new_stream, "", "");
KSYMTAB_FUNC(snd_pcm_new, "", "");
KSYMTAB_FUNC(snd_pcm_new_internal, "", "");
KSYMTAB_FUNC(snd_pcm_notify, "", "");
KSYMTAB_FUNC(snd_pcm_stream_lock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_lock_irq, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irq, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave_nested, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irqrestore, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_hw_refine, "", "");
KSYMTAB_FUNC(snd_pcm_stop, "", "");
KSYMTAB_FUNC(snd_pcm_stop_xrun, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_suspend_all, "", "");
KSYMTAB_FUNC(snd_pcm_release_substream, "", "");
KSYMTAB_FUNC(snd_pcm_open_substream, "", "");
KSYMTAB_FUNC(snd_pcm_kernel_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_lib_default_mmap, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_mmap_iomem, "", "");
KSYMTAB_FUNC(snd_pcm_mmap_data, "", "");
KSYMTAB_FUNC(snd_pcm_debug_name, "", "");
KSYMTAB_FUNC(snd_pcm_set_ops, "", "");
KSYMTAB_FUNC(snd_pcm_set_sync_per_card, "_gpl", "");
KSYMTAB_FUNC(snd_interval_refine, "", "");
KSYMTAB_FUNC(snd_interval_ratnum, "", "");
KSYMTAB_FUNC(snd_interval_list, "", "");
KSYMTAB_FUNC(snd_interval_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_add, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_mask64, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_integer, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_minmax, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_list, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratnums, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratdens, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_msbits, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_step, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_pow2, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_noresample, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_params_any, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_value, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_param_setempty, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_first, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_last, "", "");
KSYMTAB_FUNC(snd_pcm_hw_params_bits, "", "");
KSYMTAB_FUNC(snd_pcm_lib_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed_under_stream_lock, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(__snd_pcm_lib_xfer, "", "");
KSYMTAB_DATA(snd_pcm_std_chmaps, "_gpl", "");
KSYMTAB_DATA(snd_pcm_alt_chmaps, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_format_signed, "", "");
KSYMTAB_FUNC(snd_pcm_format_unsigned, "", "");
KSYMTAB_FUNC(snd_pcm_format_linear, "", "");
KSYMTAB_FUNC(snd_pcm_format_little_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_big_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_physical_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_size, "", "");
KSYMTAB_FUNC(snd_pcm_format_silence_64, "", "");
KSYMTAB_FUNC(snd_pcm_format_set_silence, "", "");
KSYMTAB_FUNC(snd_pcm_hw_limit_rates, "", "");
KSYMTAB_FUNC(snd_pcm_rate_to_rate_bit, "", "");
KSYMTAB_FUNC(snd_pcm_rate_bit_to_rate, "", "");
KSYMTAB_FUNC(snd_pcm_rate_mask_intersect, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_rate_range_to_bits, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_free_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_malloc_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_dir_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_pages_fallback, "", "");
KSYMTAB_FUNC(snd_dma_free_pages, "", "");
KSYMTAB_FUNC(snd_devm_alloc_dir_pages, "_gpl", "");
KSYMTAB_FUNC(snd_dma_buffer_mmap, "", "");
KSYMTAB_FUNC(snd_dma_buffer_sync, "_gpl", "");
KSYMTAB_FUNC(snd_sgbuf_get_addr, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_page, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_chunk_size, "", "");

SYMBOL_CRC(snd_pcm_format_name, 0xa286a234, "_gpl");
SYMBOL_CRC(snd_pcm_new_stream, 0xcc6167a5, "");
SYMBOL_CRC(snd_pcm_new, 0xcdba3f0c, "");
SYMBOL_CRC(snd_pcm_new_internal, 0xf3a78790, "");
SYMBOL_CRC(snd_pcm_notify, 0xc809f955, "");
SYMBOL_CRC(snd_pcm_stream_lock, 0x626a5531, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock, 0x7137b046, "_gpl");
SYMBOL_CRC(snd_pcm_stream_lock_irq, 0x2e9d7103, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irq, 0xfcf799aa, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave, 0x45f1737a, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave_nested, 0x2d36a5fd, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irqrestore, 0x3b3caef9, "_gpl");
SYMBOL_CRC(snd_pcm_hw_refine, 0xffb4769a, "");
SYMBOL_CRC(snd_pcm_stop, 0x9499351e, "");
SYMBOL_CRC(snd_pcm_stop_xrun, 0x42d81ae9, "_gpl");
SYMBOL_CRC(snd_pcm_suspend_all, 0x3695ccd2, "");
SYMBOL_CRC(snd_pcm_release_substream, 0x9c7c205c, "");
SYMBOL_CRC(snd_pcm_open_substream, 0x258f26f3, "");
SYMBOL_CRC(snd_pcm_kernel_ioctl, 0x9eff2a8e, "");
SYMBOL_CRC(snd_pcm_lib_default_mmap, 0x00b8c932, "_gpl");
SYMBOL_CRC(snd_pcm_lib_mmap_iomem, 0x2af28782, "");
SYMBOL_CRC(snd_pcm_mmap_data, 0xa2bcc319, "");
SYMBOL_CRC(snd_pcm_debug_name, 0x7c896040, "");
SYMBOL_CRC(snd_pcm_set_ops, 0x2ea859b0, "");
SYMBOL_CRC(snd_pcm_set_sync_per_card, 0xb9a6a792, "_gpl");
SYMBOL_CRC(snd_interval_refine, 0x04cda566, "");
SYMBOL_CRC(snd_interval_ratnum, 0xac437f7b, "");
SYMBOL_CRC(snd_interval_list, 0x94098ff8, "");
SYMBOL_CRC(snd_interval_ranges, 0x503bd137, "");
SYMBOL_CRC(snd_pcm_hw_rule_add, 0xd6fb0742, "");
SYMBOL_CRC(snd_pcm_hw_constraint_mask64, 0xd1aa72af, "");
SYMBOL_CRC(snd_pcm_hw_constraint_integer, 0xc5ab155a, "");
SYMBOL_CRC(snd_pcm_hw_constraint_minmax, 0x6413d818, "");
SYMBOL_CRC(snd_pcm_hw_constraint_list, 0x5af639f3, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ranges, 0xb6daf021, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratnums, 0x1b81f700, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratdens, 0x888bbe6b, "");
SYMBOL_CRC(snd_pcm_hw_constraint_msbits, 0x57c1d0de, "");
SYMBOL_CRC(snd_pcm_hw_constraint_step, 0xf2bd5741, "");
SYMBOL_CRC(snd_pcm_hw_constraint_pow2, 0x86ea5a93, "");
SYMBOL_CRC(snd_pcm_hw_rule_noresample, 0x695237c0, "");
SYMBOL_CRC(_snd_pcm_hw_params_any, 0x195b710c, "");
SYMBOL_CRC(snd_pcm_hw_param_value, 0x77bd191e, "");
SYMBOL_CRC(_snd_pcm_hw_param_setempty, 0x42b22246, "");
SYMBOL_CRC(snd_pcm_hw_param_first, 0xcb7eac33, "");
SYMBOL_CRC(snd_pcm_hw_param_last, 0x716f09fc, "");
SYMBOL_CRC(snd_pcm_hw_params_bits, 0xe385f704, "");
SYMBOL_CRC(snd_pcm_lib_ioctl, 0xb505f3ea, "");
SYMBOL_CRC(snd_pcm_period_elapsed_under_stream_lock, 0x11331c3e, "");
SYMBOL_CRC(snd_pcm_period_elapsed, 0x33687716, "");
SYMBOL_CRC(__snd_pcm_lib_xfer, 0xedc70209, "");
SYMBOL_CRC(snd_pcm_std_chmaps, 0x04e1b99f, "_gpl");
SYMBOL_CRC(snd_pcm_alt_chmaps, 0x09e913c1, "_gpl");
SYMBOL_CRC(snd_pcm_add_chmap_ctls, 0x1a12f528, "_gpl");
SYMBOL_CRC(snd_pcm_format_signed, 0x1d027e4b, "");
SYMBOL_CRC(snd_pcm_format_unsigned, 0xa61aa028, "");
SYMBOL_CRC(snd_pcm_format_linear, 0x6ef8fcd8, "");
SYMBOL_CRC(snd_pcm_format_little_endian, 0x3796bdcc, "");
SYMBOL_CRC(snd_pcm_format_big_endian, 0x4f816e9b, "");
SYMBOL_CRC(snd_pcm_format_width, 0xe56a9336, "");
SYMBOL_CRC(snd_pcm_format_physical_width, 0x68a24153, "");
SYMBOL_CRC(snd_pcm_format_size, 0x834dc955, "");
SYMBOL_CRC(snd_pcm_format_silence_64, 0x650f8603, "");
SYMBOL_CRC(snd_pcm_format_set_silence, 0x5e7f4920, "");
SYMBOL_CRC(snd_pcm_hw_limit_rates, 0xbbdd3e30, "");
SYMBOL_CRC(snd_pcm_rate_to_rate_bit, 0xb9638db4, "");
SYMBOL_CRC(snd_pcm_rate_bit_to_rate, 0xff6104d0, "");
SYMBOL_CRC(snd_pcm_rate_mask_intersect, 0xab8bc1a2, "_gpl");
SYMBOL_CRC(snd_pcm_rate_range_to_bits, 0x8d864069, "_gpl");
SYMBOL_CRC(snd_pcm_lib_preallocate_free_for_all, 0x8efcf918, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages, 0x4b655c33, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages_for_all, 0x2d01de0f, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer, 0xbca77b4b, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer_all, 0x3cff25cb, "");
SYMBOL_CRC(snd_pcm_lib_malloc_pages, 0x8fdcc659, "");
SYMBOL_CRC(snd_pcm_lib_free_pages, 0x158470fa, "");
SYMBOL_CRC(snd_dma_alloc_dir_pages, 0x005103be, "");
SYMBOL_CRC(snd_dma_alloc_pages_fallback, 0x93f9743d, "");
SYMBOL_CRC(snd_dma_free_pages, 0xffe70574, "");
SYMBOL_CRC(snd_devm_alloc_dir_pages, 0xc177a30d, "_gpl");
SYMBOL_CRC(snd_dma_buffer_mmap, 0x95b2ea71, "");
SYMBOL_CRC(snd_dma_buffer_sync, 0xa7ce3a08, "_gpl");
SYMBOL_CRC(snd_sgbuf_get_addr, 0x285c8e06, "");
SYMBOL_CRC(snd_sgbuf_get_page, 0x5135231c, "");
SYMBOL_CRC(snd_sgbuf_get_chunk_size, 0x861504b6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xbd5e11f4, "bpf_trace_run1" },
	{ 0xe16f6fbe, "sg_alloc_table_from_pages_segment" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xae75dbd0, "snd_device_new" },
	{ 0x037ad6f1, "alloc_pages_exact_noprof" },
	{ 0xfb578fc5, "memset" },
	{ 0x6e6e1216, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x616887ad, "snd_ctl_unregister_ioctl" },
	{ 0x0eddd417, "down_read" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xce2d0e15, "nonseekable_open" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x95d40978, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85ffb937, "dma_free_noncontiguous" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd191b92d, "dma_alloc_noncontiguous" },
	{ 0x7230beea, "fdget" },
	{ 0xed26e70f, "dma_mmap_noncontiguous" },
	{ 0x0dff9bd4, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x6a610b2f, "trace_event_buffer_reserve" },
	{ 0x83c79808, "dma_map_sgtable" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xec64f6f1, "__dma_sync_single_for_device" },
	{ 0x6e3ba9d7, "vm_map_pages" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x6e129203, "gen_pool_free_owner" },
	{ 0x0562dc30, "__sg_page_iter_start" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc44c863a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfd47c370, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0x48e77701, "snd_ctl_register_ioctl_compat" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xec3b87e3, "snd_info_create_card_entry" },
	{ 0x87390b9c, "_copy_from_iter" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0x2f2a9804, "snd_power_wait" },
	{ 0xef45223d, "boot_cpu_data" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x3f9a534b, "dma_mmap_attrs" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x66da6a61, "pid_vnr" },
	{ 0x58b6b620, "snd_device_free" },
	{ 0xa25cfcac, "snd_card_file_remove" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x37392ceb, "dma_unmap_sg_attrs" },
	{ 0x863f8409, "gcd" },
	{ 0xc7a6fa0e, "remap_vmalloc_range" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x767ddb02, "set_memory_wc" },
	{ 0x754d539c, "strlen" },
	{ 0x50af4e01, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x4c7d4cd6, "snd_device_register" },
	{ 0x032d41ac, "__kvmalloc_node_noprof" },
	{ 0xd37b3295, "snd_register_device" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x4000664d, "put_pid" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x73e63a0d, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xabb97e9e, "cpu_latency_qos_remove_request" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x682e1fc7, "dma_can_mmap" },
	{ 0x94c99025, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x70fae432, "_copy_to_iter" },
	{ 0x2e4c3313, "snd_info_register" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd026c133, "snd_info_create_module_entry" },
	{ 0xfb7c9ccc, "snd_ctl_unregister_ioctl_compat" },
	{ 0x2bbc23fa, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x6c53a97b, "dev_set_name" },
	{ 0xa12c880e, "snd_ctl_add" },
	{ 0xc5d1c303, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0xe032ffd0, "trace_raw_output_prep" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xf8151c9b, "snd_timer_notify" },
	{ 0xadd49f60, "snd_ctl_get_preferred_subdevice" },
	{ 0x467d6c88, "dma_vunmap_noncontiguous" },
	{ 0xdabd7567, "__trace_trigger_soft_disabled" },
	{ 0x7dcb9ba2, "gen_pool_dma_alloc_align" },
	{ 0xad85256d, "vm_iomap_memory" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0xca0cb92f, "dma_unmap_page_attrs" },
	{ 0x060f4c5d, "dma_mmap_pages" },
	{ 0x47d7772c, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xea5413bf, "__dma_need_sync" },
	{ 0x7b6cc37e, "dma_free_pages" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x49f2442f, "snd_timer_interrupt" },
	{ 0x7644e53d, "snd_info_free_entry" },
	{ 0x1bfdb976, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4bca8f32, "remap_pfn_range" },
	{ 0x4dbd8b07, "cpu_latency_qos_add_request" },
	{ 0x94961283, "vunmap" },
	{ 0x037a0cba, "kfree" },
	{ 0x9e6d79f8, "snd_info_get_str" },
	{ 0x07ba41dc, "pcpu_hot" },
	{ 0xad7ab067, "cpu_latency_qos_request_active" },
	{ 0x0cb39ef5, "add_wait_queue" },
	{ 0xcf638dc5, "bpf_trace_run2" },
	{ 0x04f03f7f, "snd_fasync_helper" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x69cec69f, "import_ubuf" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xf9f9d086, "__dynamic_dev_dbg" },
	{ 0x28dd98f1, "snd_ctl_remove" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xdcd78bcb, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5b5947ca, "dev_driver_string" },
	{ 0xe4670d3c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xc6d093df, "dma_map_page_attrs" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x9c05f895, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5861e3da, "dma_alloc_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x65cdb128, "put_device" },
	{ 0x55383169, "snd_ctl_register_ioctl" },
	{ 0xd3c65def, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe0ab2e75, "const_pcpu_hot" },
	{ 0x9f303530, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xec0bd67e, "__dma_sync_single_for_cpu" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x1de68fe8, "perf_trace_run_bpf_submit" },
	{ 0x1fa18b97, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x797bdaec, "_dev_err" },
	{ 0xeed7fd81, "up_write" },
	{ 0x4337b1e4, "dma_vmap_noncontiguous" },
	{ 0x3ac3a662, "__dma_sync_sg_for_device" },
	{ 0xca6d06cc, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8f595b11, "snd_major" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xad9a1084, "dma_alloc_attrs" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x966f6a96, "__devres_alloc_node" },
	{ 0x0f028f17, "trace_event_reg" },
	{ 0xdc90bf61, "__dma_sync_sg_for_cpu" },
	{ 0x8c3968cd, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe7500c58, "vmap" },
	{ 0xfab29fc7, "snd_unregister_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xaf583ec4, "snd_device_alloc" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd737d011, "snd_timer_new" },
	{ 0xdbe2765e, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-timer");


MODULE_INFO(srcversion, "D5D9DF510B480AEC11EDDB1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
