#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_ump_endpoint_new, "_gpl", "");
KSYMTAB_FUNC(snd_ump_receive_ump_val, "_gpl", "");
KSYMTAB_FUNC(snd_ump_receive, "_gpl", "");
KSYMTAB_FUNC(snd_ump_transmit, "_gpl", "");
KSYMTAB_FUNC(snd_ump_block_new, "_gpl", "");
KSYMTAB_FUNC(snd_ump_update_group_attrs, "_gpl", "");
KSYMTAB_FUNC(snd_ump_switch_protocol, "_gpl", "");
KSYMTAB_FUNC(snd_ump_parse_endpoint, "_gpl", "");
KSYMTAB_FUNC(snd_ump_attach_legacy_rawmidi, "_gpl", "");
KSYMTAB_FUNC(snd_ump_convert_from_ump, "_gpl", "");
KSYMTAB_FUNC(snd_ump_convert_to_ump, "_gpl", "");

SYMBOL_CRC(snd_ump_endpoint_new, 0x2c3df8ae, "_gpl");
SYMBOL_CRC(snd_ump_receive_ump_val, 0x345c2e73, "_gpl");
SYMBOL_CRC(snd_ump_receive, 0xb4dfe767, "_gpl");
SYMBOL_CRC(snd_ump_transmit, 0xf7613fd5, "_gpl");
SYMBOL_CRC(snd_ump_block_new, 0x9eadfb41, "_gpl");
SYMBOL_CRC(snd_ump_update_group_attrs, 0x88d1616e, "_gpl");
SYMBOL_CRC(snd_ump_switch_protocol, 0xb333585e, "_gpl");
SYMBOL_CRC(snd_ump_parse_endpoint, 0xa52389ae, "_gpl");
SYMBOL_CRC(snd_ump_attach_legacy_rawmidi, 0xc017fc80, "_gpl");
SYMBOL_CRC(snd_ump_convert_from_ump, 0x5b39d06f, "_gpl");
SYMBOL_CRC(snd_ump_convert_to_ump, 0x6e16cfb9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x027fe793, "snd_rawmidi_kernel_write" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x276be687, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x189af6ee, "snd_rawmidi_new" },
	{ 0xc14bf93e, "snd_rawmidi_kernel_open" },
	{ 0xa1d5634a, "snd_rawmidi_set_ops" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x82da3571, "snd_rawmidi_kernel_release" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe931dca3, "snd_rawmidi_init" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc44c863a, "__kmalloc_cache_noprof" },
	{ 0xfd47c370, "seq_printf" },
	{ 0x754d539c, "strlen" },
	{ 0x4c7d4cd6, "snd_device_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x73e63a0d, "kmalloc_caches" },
	{ 0x3b07d875, "snd_rawmidi_free" },
	{ 0x42a4acb2, "snd_rawmidi_receive" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf02ce833, "snd_rawmidi_transmit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x01126ff7, "snd_seq_device_new" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xf9f9d086, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdbe2765e, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd,snd-seq-device");


MODULE_INFO(srcversion, "E05550251445F417B81720A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
