#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb4bb458d, "input_register_device" },
	{ 0xc7ab929c, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xb21ddc26, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5b69189b, "snd_card_new" },
	{ 0x1e9aad11, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x40063e93, "snd_card_set_id" },
	{ 0x797bdaec, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdd19e8b2, "snd_card_free_when_closed" },
	{ 0x613fd172, "usb_set_interface" },
	{ 0x2ea859b0, "snd_pcm_set_ops" },
	{ 0xe2f737ae, "usb_deregister" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6143956f, "usb_string" },
	{ 0x3cff25cb, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0x6e6e1216, "_dev_warn" },
	{ 0xfbd3cd0d, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xc6734193, "input_event" },
	{ 0x7cb8a406, "input_set_abs_params" },
	{ 0x189af6ee, "snd_rawmidi_new" },
	{ 0xbf65ef2a, "snd_card_disconnect" },
	{ 0xa1d5634a, "snd_rawmidi_set_ops" },
	{ 0x1de84a71, "param_ops_bool" },
	{ 0xc44c863a, "__kmalloc_cache_noprof" },
	{ 0x578ae3e4, "usb_kill_urb" },
	{ 0xe9423f2a, "usb_init_urb" },
	{ 0x33687716, "snd_pcm_period_elapsed" },
	{ 0x50af4e01, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x73e63a0d, "kmalloc_caches" },
	{ 0x86923881, "input_allocate_device" },
	{ 0xa31734e7, "usb_alloc_urb" },
	{ 0x42a4acb2, "snd_rawmidi_receive" },
	{ 0xbc7ddfa4, "usb_free_urb" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0xf02ce833, "snd_rawmidi_transmit" },
	{ 0xa12c880e, "snd_ctl_add" },
	{ 0xcdba3f0c, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x575f0a58, "snd_card_register" },
	{ 0x6a19661c, "snd_card_free" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xf582c23f, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x8620be5c, "param_array_ops" },
	{ 0xb61f6e0a, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xf9f9d086, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x29d6bd22, "input_free_device" },
	{ 0x9c05f895, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x404e8a45, "usb_bulk_msg" },
	{ 0xdbe2765e, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd,snd-pcm,snd-rawmidi");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "7B7229A0C7BECEDFB4AB4C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
